;*******************************************
; Tabla de volcado de enemigos en pantalla.               TABENE
;*******************************************
;Volcamos los datos de tabsprpan y viceversa al pasar a otra pantalla.
; Los disparos no devolvern datos (metemos 255)
;panta, codene, movene, framesp, dblow, dbhigh, tipene, sentene,
;posX, posY, dblowInitFrame, dbhighInitFrame,
;dblowScr,dbhighScr (posicion pre-calculada en pantalla)
;dblowPosBuff,dbhighPosBuff (posic.pre-calculada en el buffer pantalla)
;posX2,posY2
;**********************************
;  Tabla de enemigos por pantalla                        TABSPRPAN
;**********************************
;panta, codene,movene,framesp,dblow,dbhigh, tipene, sentene,
;pos x, pos y, dblowInitFrame, dbhighInitFrame
;dblowScr,dbhighScr (posicion pre-calculada en pantalla)
;dblowPosBuff,dbhighPosBuff  (posic. pre-calculada buffer)
;dblowInitFrame y dbhighInitFrame se actualizaran al cambiar de posicion
;al igual que dblowPosBuff,dbhighPosBuff que es la posicion en el buffer
;tipene= 0 normal, 1 c/ia
;sentene=0arr,1der,2aba,3izq
;movene= 0 estat. 1 se mueve. Asi paro un enemigo si dispara o
;si llega al limite y cambia de direccion
;*******************
;Tabla de Sprites
;*******************
;Cada uno tiene 4 frames y cada frame ocupa 64bytes (#40hex.)
;1 Endem der : #DC18   0,  #18,#DC
;  Endem izq : #DD98   0,  #98,#DD
;2 EPacm der : #DF18   1,  #18,#DF
;  EPacm izq : #E098   1,  #98,#E0
;3 Muedt der : #E218   2,  #18,#E2
;  Muedt izq : #E398   2,  #98,#E3
;4 Gargola :   #E518   3,  #18,#E5
;5 Ghost   :   #E698   4,  #98,#E6
;6 Ventolin:   #E818   5,  #18,#E8
;9 Disparo :   #D818   6,  #18,#D8
; Para pasar de frame a frame sumaremos #60 al frame anterior
; y restare #1E0 del ltimo frame para volver al primero.
;Los enemigos 0 a 2 son horizontales tienen distintos frames izq.y der
;los 3 a 5 son verticales mismos frames para subir y bajar y moverse (IA)
;_______________________________________________________________________
;		Correspondencia entre tablas
; entrada y salida por RUVODATSPR.ASM
;	TABENE				TABSPRPAN
;	======				=========
;0	panta				panta
;1	codene				codene
;2	movene				movene
;3	framesp				framesp
;4	dblow				dblow
;5	dbhigh				dbhigh
;6	tipene				tipene
;7	sentene				sentene
;8	posX    <---------		posX
;9	posY	<--------|-		posY
;10	dblowInitFrame	 ||		dblowInitFrame
;11	dbhighInitFrame	 ||		dbhighInitFrame
;12	dblowScr	 ||		dblowScr
;13	dbhighScr	 ||		dbhighScr
;14	dblowPosBuff	 ||		dblowPosBuff
;15	dbhighPosBuff	 ||		dbhighPosBuff
;16	posX2		- |
;17	posY2		--




TABSPR:
         db #18,#DC,#98,#DD                     ;0          ;61992
         db #18,#DF,#98,#E0                     ;1
         db #18,#E2,#98,#E3                     ;2
         db #18,#E5,#00,#AA                     ;3
         db #98,#E6,#80,#AB                     ;4
         db #18,#E8,#00,#AD                     ;5
         db #80,#AE,#40,#AF                     ;6 Disparo

TABENE:                                           ;62020
       db  0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
       db  0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
       db  0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
       db  0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0     ;utilizable para disparos
       db 255

TABSPRPAN:                                              ;62093
       db 0,0,1,0,#18,#DC,0,1, 6,15,#18,#DC,230,72,85,186
       db 0,1,1,0,#98,#E0,0,3,19,17,#98,#E0,51,80,98,188

       db 1,2,1,0,#18,#E2,0,1,11,8,#18,#E2,11,72,90,179
       db 1,3,1,0,#18,#E5,0,2,8,8,#18,#E5,8,72,87,179

       db 2,2,1,0,#98,#E3,0,3,25,16,#98,#E3,25,80,104,187
       db 2,4,1,0,#80,#AB,0,0, 3,17,#80,#AB,35,80,82,188
       db 2,1,1,0,#18,#DF,0,1, 3, 8,#18,#DF,3,72,82,179

       db 3,0,1,0,#98,#DD,0,3,22, 9,#98,#DD,54,72,101,180
       db 3,1,1,0,#18,#DF,0,1, 3, 8,#18,#DF,3,72,82,179
       db 3,5,1,0,#00,#AD,0,0, 6,15,#00,#AD,230,72,85,186

       db 4,2,1,0,#98,#E3,0,3,13, 9,#98,#E3,45,72,92,180
       db 4,5,1,0,#18,#E8,0,2, 8,10,#18,#E8,72,72,87,181
       db 4,1,1,0,#18,#DF,0,1,14,18,#18,#DF,78,80,93,189

       db 5,1,1,0,#18,#DF,0,1, 4, 8,#18,#DF,4,72,83,179
       db 5,0,1,0,#18,#DC,0,1, 9,10,#18,#DC,73,72,88,181
       db 5,2,1,0,#18,#E2,0,1,14,15,#18,#E2,238,72,93,186

       db 6,2,1,0,#18,#E2,0,1, 7,10,#18,#E2,71,72,86,191
       db 6,0,1,0,#98,#DD,0,3,25,10,#98,#DD,89,72,104,181
       db 6,1,1,0,#18,#DF,0,1, 5,17,#18,#DF,37,80,84,188

       db 7,3,1,0,#00,#AA,0,0,22,17,#00,#AA,54,80,101,188
       db 7,2,1,0,#98,#E3,0,3,15, 8,#98,#E3,15,72,94,179

       db 7,1,1,0,#18,#DF,0,1, 2,18,#18,#DF,66,80,81,189

       db 8,0,1,0,#18,#DC,0,1, 2,18,#18,#DC,66,80,81,189
       db 8,4,1,0,#80,#AB,0,0,16,17,#80,#AB,48,80,95,188
       db 8,3,1,0,#18,#E5,0,2,23,11,#18,#E5,119,72,102,182

       db 9,1,1,0,#18,#DF,0,1, 9,11,#18,#DF,105,72,88,182
       db 9,2,1,0,#18,#E2,0,1,20,16,#18,#E2,20,80,99,187
       db 9,2,1,0,#98,#E3,0,3,28,18,#98,#E3,92,80,107,189

       db 10,0,1,0,#18,#DC,0,1, 8, 9,#18,#DC,40,72,87,180
       db 10,1,1,0,#98,#E0,0,3,27, 9,#98,#E0,59,72,106,180
       db 10,2,1,0,#98,#E3,0,3,17,18,#98,#E3,81,80,96,189

       db 11,5,1,0,#18,#E8,0,2,11, 8,#18,#E8,11,72,90,179
       db 11,2,1,0,#98,#E3,0,3,19,12,#98,#E3,147,72,98,183
       db 11,4,1,0,#80,#AB,0,0,26,15,#80,#AB,250,72,105,186

       db 12,1,1,0,#18,#DF,0,1,18, 8,#18,#DF,18,72,97,179               ;inicio   pruebas
       db 12,3,1,0,#00,#AA,0,0,15,17,#00,#AB,47,80,94,188               ;inicio   pruebas
;       db 12,6,1,0,#D8,#D5,0,1,18, 8,#D8,#D5,18,72,97,179               ;inicio   pruebas disparo

       db 13,0,1,0,#18,#DC,0,1,14,14,#18,#DC,206,72,93,185
       db 13,2,1,0,#98,#E3,0,3,25, 8,#98,#E3,25,72,104,179

       db 14,2,1,0,#98,#E3,0,3,15,14,#98,#E3,207,72,94,185
       db 14,0,1,0,#18,#DC,0,1,16,16,#18,#DC,16,80,95,187
       db 14,1,1,0,#98,#E0,0,3,25,10,#98,#E0,89,72,104,181

       db 15,1,1,0,#18,#DF,0,1,20,10,#18,#DF,84,72,99,181
       db 15,2,1,0,#98,#E3,0,3,8 ,18,#98,#E3,72,80,87,189

       db 16,0,1,0,#18,#DC,0,1, 9,17,#18,#DC,41,80,88,188
       db 16,1,1,0,#98,#E0,0,3,23,14,#98,#E0,215,72,102,185

       db 17,1,1,0,#18,#DF,0,1,14,13,#18,#DF,174,72,93,184
       db 17,2,1,0,#98,#E3,0,3,27,18,#98,#E3,91,80,106,189

       db 18,0,1,0,#98,#DD,0,3, 5,14,#98,#DD,197,72,84,185
       db 18,2,1,0,#18,#E2,0,1, 6, 8,#18,#E2,6,72,85,179
       db 18,3,1,0,#18,#E5,0,2,18,12,#18,#E5,146,72,97,183

       db 19,1,1,0,#18,#DF,0,1, 4,11,#18,#DF,100,72,83,182
       db 19,4,1,0,#80,#AB,0,0,10,17,#80,#AB,42,80,89,188
       db 19,2,1,0,#98,#E3,0,3,21, 9,#98,#E3,53,72,100,180

       db 20,1,1,0,#98,#E0,0,3,27,10,#98,#E0,91,72,106,181
       db 20,0,1,0,#18,#DC,0,1, 4,15,#18,#DC,228,72,83,186

       db 21,2,1,0,#18,#E2,0,1, 4, 8,#18,#E2,4,72,83,179
;       db 21,3,1,0,#00,#AA,0,0,15,17,#00,#AA,47,80,94,188
       db 21,2,1,0,#98,#E3,0,3,23,15,#98,#E3,247,72,102,186

       db 22,5,1,0,#18,#E8,0,2, 7, 8,#18,#E8,7,72,86,179
       db 22,4,1,0,#80,#AB,0,0,19,15,#80,#AB,243,72,98,186
       db 22,1,1,0,#18,#DF,0,1,23,12,#18,#DF,151,72,102,183

       db 23,5,1,0,#18,#E8,0,2, 6, 8,#18,#E8,6,72,85,179
       db 23,1,1,0,#18,#DF,0,1,12,15,#18,#DF,236,72,91,186

       db 24,0,1,0,#18,#DC,0,1, 6, 8,#18,#DC,6,72,85,179
       db 24,4,1,0,#80,#AB,0,0,10,17,#80,#AB,42,80,89,188

       db 25,3,1,0,#18,#E5,0,2,27,8,#18,#E5,27,72,106,179
       db 25,3,1,0,#00,#AA,0,0,8,17,#00,#AA,40,80,87,188
       db 25,5,1,0,#18,#E8,0,2, 4, 8,#18,#E8,4,72,83,179

       db 26,0,1,0,#18,#DC,0,1, 7, 8,#18,#DC,7,72,86,179
       db 26,1,1,0,#98,#E0,0,3,21,17,#98,#E0,53,80,100,188
       db 26,5,1,0,#18,#E8,0,2,26, 8,#18,#E8,26,72,105,179

       db 27,3,1,0,#18,#E5,0,2, 2, 8,#18,#E5,2,72,81,179
       db 27,0,1,0,#18,#DC,0,1, 6,14,#18,#DC,198,72,85,185
       db 27,2,1,0,#98,#E3,0,3,22,17,#98,#E3,54,80,101,188

       db 28,5,1,0,#18,#E8,0,2,21,10,#18,#E8,85,72,100,181

       db 29,2,1,0,#18,#E2,0,1,11,9,#18,#E2,43,72,90,180
       db 29,4,1,0,#80,#AB,0,0,25,17,#80,#AB,57,80,104,188

       db 30,0,1,0,#18,#DC,0,1,20,10,#18,#DC,84,72,99,181
       db 30,1,1,0,#98,#E0,0,3,27,18,#98,#E0,91,80,106,189

       db 31,5,1,0,#18,#E8,0,2, 2,10,#18,#E8, 66,72,81,181
       db 31,1,1,0,#18,#DF,0,1, 8,10,#18,#DF, 72,72,87,181

       db 33,5,1,0,#18,#E8,0,2,16,10,#18,#E8,80,72,95,181
       db 33,0,1,0,#98,#DD,0,3,22,16,#98,#DD,22,80,101,187

       db 34,0,1,0,#18,#DC,1,1, 2,16,#18,#DC,  2,80, 81,187
       db 34,2,1,0,#18,#E2,0,1,25,18,#18,#E2, 89,80,104,189
                                                               ;;;;
       db 35,4,1,0,#98,#E6,1,2, 9, 8,#98,#E6,  9,72, 88,179
       db 35,1,1,0,#18,#DF,0,1,15,12,#18,#DF,143,72, 94,183
       db 35,2,1,0,#98,#E3,0,3,23,15,#98,#E3,247,72,102,186

       db 36,3,1,0,#18,#E5,0,2,16,8,#18,#E5,16,72,95,179
       db 36,2,1,0,#98,#E3,0,3,27,10,#98,#E3,91,72,106,181
       db 36,2,1,0,#18,#E2,0,1,16,16,#18,#E2,16,80,95,187

       db 37,5,1,0,#18,#E8,0,2,24,8,#18,#E8,24,72,103,179     ;
       db 37,0,1,0,#18,#DC,1,1,14,17,#18,#DC,46,80,93,188

       db 38,3,1,0,#18,#E5,0,2, 5, 8,#18,#E5,5,72,84,179
       db 38,2,1,0,#98,#E3,0,3,25,14,#98,#E3,217,72,104,185
       db 38,0,1,0,#18,#DC,1,1,10,16,#18,#DC,10,80,89,187

;       db 39,3,1,0,#18,#E5,0,2,28, 8,#18,#E5,28,72,107,179
       db 39,1,1,0,#18,#DF,0,1, 2, 9,#18,#DF,34,72,81,180
       db 39,2,1,0,#98,#E3,0,3,14,16,#98,#E3,14,80,93,187

       db 40,4,1,0,#80,#AB,1,0,18, 8,#80,#AB,18,72,97,179
       db 40,3,1,0,#18,#E5,0,2, 3,17,#18,#E5,35,80,82,188

       db 41,3,1,0,#18,#E5,0,2,17, 8,#18,#E5,17,72,96,179

       db 42,0,1,0,#18,#DC,1,1,13, 9,#18,#DC,45,72,92,180
       db 42,1,1,0,#98,#E0,0,3,25,13,#98,#E0,185,72,104,184

       db 44,3,1,0,#00,#AA,0,0,19,14,#00,#AA,211,72,98,185

       db 45,4,1,0,#98,#E6,1,2,15, 8,#98,#E6,15,72,94,179
       db 45,2,1,0,#98,#E3,0,3,25,16,#98,#E3,25,80,104,187


       db 46,3,1,0,#18,#E5,0,2, 4, 8,#18,#E5,4,72,83,179
       db 46,1,1,0,#98,#E0,0,3,27,10,#98,#E0,91,72,106,181
       db 46,0,1,0,#18,#DC,1,1,18,17,#18,#DC,50,80,97,188

       db 47,2,1,0,#98,#E3,0,3,17,10,#98,#E3,81,72,96,181
       db 47,1,1,0,#18,#DF,1,1, 6,15,#18,#DF,230,72,85,186

       db 48,1,1,0,#18,#DF,1,1,15,15,#18,#DF,239,72,94,186
       db 48,2,1,0,#98,#E3,0,3,10,16,#98,#E3,10,80,89,187

       db 49,4,1,0,#98,#E6,0,2, 4,11,#98,#E6,100,72,83,182
       db 49,0,1,0,#18,#DC,1,1,17,13,#18,#DC,177,72,96,184

       db 50,5,1,0,#18,#E8,0,2, 4, 7,#18,#E8,228,64,83,178
       db 50,1,1,0,#18,#DF,1,1, 5,18,#18,#DF, 69,80,84,189

       db 51,0,1,0,#98,#DD,0,3,23, 8,#98,#DD,23,72,102,179
       db 51,3,1,0,#18,#E5,1,2, 6,10,#18,#E5,70,72,85,181
       db 51,2,1,0,#18,#E2,0,1,13,12,#18,#E2,141,72,92,183

       db 52,1,1,0,#18,#DF,1,1, 6,14,#18,#DF,198,72,85,185
       db 52,3,1,0,#00,#AA,1,0,20,18,#00,#AA,84,80,99,189

       db 53,3,1,0,#18,#E5,1,2,26,11,#18,#E5,122,72,105,182

       db 54,3,1,0,#18,#E5,0,2, 4,11,#18,#E5,100,72,83,182

       db 55,5,1,0,#18,#E8,1,2, 3, 8,#18,#E8, 3,72, 82,179
       db 55,4,1,0,#80,#AB,0,0, 9,16,#80,#AB, 9,80, 88,187
       db 55,2,1,0,#98,#E3,0,3,21,16,#98,#E3,21,80,100,187

       db 56,0,1,0,#18,#DC,1,1,14, 8,#18,#DC,14,72,93,179
       db 56,3,1,0,#18,#E5,0,2,26,13,#18,#E5,186,72,105,184

       db 57,2,1,0,#98,#E3,1,3,28, 9,#98,#E3,60,72,107,180
       db 57,1,1,0,#18,#DF,0,1,15,17,#18,#DF,47,80,94,188

       db 58,4,1,0,#80,#AB,0,0,15,17,#80,#AB,47,80,94,188
       db 58,2,1,0,#98,#E3,1,3,12,18,#98,#E3,76,80,91,189

       db 59,2,1,0,#18,#E2,0,1, 7, 8,#18,#E2,7,72,86,179
       db 59,0,1,0,#98,#DD,1,3, 2,10,#98,#DD,66,72,81,181
       db 59,1,1,0,#18,#DF,0,1,17,10,#18,#DF,81,72,96,181

       db 60,2,1,0,#18,#E2,0,1,12,12,#18,#E2,140,72,91,183
       db 60,0,1,0,#98,#DD,0,3,19,14,#98,#DD,211,72,98,185
       db 60,1,1,0,#18,#DF,1,1, 8,17,#18,#DF,40,80,87,188

       db 61,2,1,0,#98,#E3,0,3, 9,10,#98,#E3,73,72,88,181
       db 61,0,1,0,#98,#DD,1,3,19,15,#98,#DD,243,72,98,186
       db 61,4,1,0,#80,#AB,0,0,13,17,#80,#AB,45,80,92,188

       db 62,1,1,0,#98,#E0,0,3,19,10,#98,#E0,83,72,98,181
       db 62,0,1,0,#18,#DC,0,1,14,12,#18,#DC,142,72,93,183

       db 63,0,1,0,#18,#DC,0,1,10, 9,#18,#DC,42,72,89,180
       db 63,1,1,0,#98,#E0,1,3,15,12,#98,#E0,143,72,94,183

       db 255

